summaryrefslogtreecommitdiffstats
path: root/tests/quagga
diff options
context:
space:
mode:
Diffstat (limited to 'tests/quagga')
-rw-r--r--tests/quagga16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/quagga b/tests/quagga
new file mode 100644
index 0000000..1d65094
--- /dev/null
+++ b/tests/quagga
@@ -0,0 +1,16 @@
+INITD=zebra
+PROC=$INITD
+ apk_add $@
+ if ! [ test -e /etc/quagga ];
+ then mkdir -p /etc/quagga;
+ fi
+ touch /etc/quagga/zebra.conf
+ /etc/init.d/$INITD start
+ sleep 1
+ pidof $PROC
+ /etc/init.d/$INITD stop
+ while pidof $PROC; do\
+ echo -n "." >/dev/tty;\
+ sleep 1;\
+ done
+ apk_del $@